Package Details: perl-data-uuid 1.221-1

Git Clone URL: https://aur.archlinux.org/perl-data-uuid.git (read-only)
Package Base: perl-data-uuid
Description: Globally/Universally Unique Identifiers (GUIDs/UUIDs)
Upstream URL: https://metacpan.org/release/Data-UUID
Licenses: GPL, PerlArtistic
Submitter: STiAT
Maintainer: mmirate
Last Packager: mmirate
Votes: 49
Popularity: 1.672432
First Submitted: 2007-03-27 09:32
Last Updated: 2015-08-18 21:21

Latest Comments

Tristelune commented on 2016-01-11 18:52

Today I was able to install this package. No idea why, so for me it's ok!

Tristelune commented on 2015-12-23 22:43

Hello, I need this package to install gscan2pdf. Unfortunately, the build fails.
I get the following:

==> Starting build()...
Configured options (run perl Makefile.PL --help for how to change this):
UUID state storage: /tmp
default umask: 0007
Generating a Unix-style Makefile
Writing Makefile for Data::UUID
Writing MYMETA.yml and MYMETA.json
Skip blib/lib/Data/UUID.pm (unchanged)
Running Mkbootstrap for Data::UUID ()
chmod 644 "UUID.bs"
cc -c -D_REENTRANT -D_GNU_SOURCE -fwrapv -fno-strict-aliasing -pipe -fstack-protector-strong -I/usr/local/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -march=x86-64 -mtune=generic -O2 -pipe -fstack-protector-strong --param=ssp-buffer-size=4 -DVERSION=\"1.221\" -DXS_VERSION=\"1.221\" -fPIC "-I/usr/lib/perl5/core_perl/CORE" -D_STDIR=\"/tmp\" -D__linux__ -D_DEFAULT_UMASK=0007 UUID.c
rm -f blib/arch/auto/Data/UUID/UUID.so
cc -shared -Wl,-O1,--sort-common,--as-needed,-z,relro -L/usr/local/lib -fstack-protector-strong UUID.o -o blib/arch/auto/Data/UUID/UUID.so \
\

chmod 755 blib/arch/auto/Data/UUID/UUID.so
chmod: cannot access ‘blib/arch/auto/Data/UUID/UUID.so’: No such file or directory
Makefile:484: recipe for target 'blib/arch/auto/Data/UUID/UUID.so' failed
make: *** [blib/arch/auto/Data/UUID/UUID.so] Error 1
==> ERROR: A failure occurred in build().
Aborting...

paraxor commented on 2013-07-31 01:12

This module has a security vulnerability. A new version of this module that fixes the vulnerability may be released soon.

Information about the vulnerability: https://github.com/rjbs/Data-UUID/issues/5

Anonymous comment on 2010-11-19 04:18

Updated to latest version 1.217

Anonymous comment on 2010-05-30 21:05

Updated to latest version 1.215 and modified pkgdesc to better fit PKGBUILD specs.